Runtime APIEdge api
GET
/v1/{runtimeKey}.json

Retrieve the current operational state of your application using its public runtime key.

Path Parameters

runtimeKey*string

The public runtime key for the application in form of rt_prod_xxxx OR rt_test_xxxx

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/string.json"
{  "runtimeState": {    "applicationId": "app_019e8625-c3e4-7ab0-843e-730054f4efbe",    "state": "RUNTIME_STATE_DEGRADED",    "message": "Payment processing is delayed to higher latency from service provider",    "capabilityStates": [      {        "capabilityName": "payments",        "state": "RUNTIME_STATE_DEGRADED",        "message": "Payment processing is delayed to higher latency from service provider."      },      {        "capabilityName": "search",        "state": "RUNTIME_STATE_OPERATIONAL",        "message": "All systems operational"      }    ],    "updatedAt": "2026-06-05T12:09:32.611Z",    "version": "7"  }}